#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name:       superkaramba
Summary:    Put Karamba applets to the desktop with Python
Version: 4.10.2
Release:    %mkrel %{rel}
Group:      Graphical desktop/KDE
License:    GPLv2 and LGPLv2
URL:        http://www.kde.org/applications/utilities/superkaramba/
Source0:    ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%name-%{version}.tar.xz

BuildRequires: kdelibs4-devel >= 2:%version
BuildRequires: pkgconfig(qimageblitz)
BuildRequires: pkgconfig(python)

Conflicts: kdeutils4-core < 4.5.72

Requires: kdebase4-workspace

%description
SuperKaramba is a tool that allows you to easily create interactive widgets on
your KDE desktop. Such modules are interactive programs written in Python, Ruby
or KDE JavaScript that are usually embedded directly into the background and do
not disturb the normal view of the desktop.

(Superkaramba is deprecated in favor of Plasma widgets.)

%files
%doc AUTHORS ChangeLog COPYING COPYING.LIB NEWS README TODO
%_kde_appsdir/superkaramba/
%_kde_bindir/superkaramba
%_kde_iconsdir/*/*/apps/superkaramba.*
%_kde_applicationsdir/superkaramba.desktop
%_kde_libdir/kde4/plasma_package_superkaramba.so
%_kde_libdir/kde4/plasma_scriptengine_superkaramba.so
%_kde_services/plasma-package-superkaramba.desktop
%_kde_services/plasma-scriptengine-superkaramba.desktop
%_kde_configdir/superkaramba.knsrc
%_datadir/dbus-1/interfaces/org.kde.superkaramba.xml

#------------------------------------------------------------------------------

%define libsuperkaramba_major 4
%define libsuperkaramba %mklibname superkaramba %{libsuperkaramba_major}

%package -n %libsuperkaramba
Summary: Runtime library for superkaramba
Group: System/Libraries

%description -n %libsuperkaramba
SuperKaramba is a tool that allows you to easily create interactive widgets on
your KDE desktop. Such modules are interactive programs written in Python, Ruby
or KDE JavaScript that are usually embedded directly into the background and do
not disturb the normal view of the desktop.

This package provides the runtime library for superkaramba.

%files -n %libsuperkaramba
%_kde_libdir/libsuperkaramba.so.%{libsuperkaramba_major}*

#------------------------------------------------------------------------------

%package devel
Summary: Devel stuff for %{name}
Group: Development/KDE and Qt
Requires: kdelibs4-devel >= 2:%{version}
Requires: %libsuperkaramba = %version-%release
Conflicts: kdeutils4-devel < 4.7.90

%description devel
This package contains header files needed if you wish to build applications
based on %{name}.

%files devel
%{_kde_libdir}/libsuperkaramba.so

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kde4  -DKDE4_ENABLE_FINAL=OFF
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog

* Tue Apr 02 2013 mikala <mikala> 4.10.2-1.mga3
+ Revision: 407280
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 4.10.1-1.mga3
+ Revision: 401961
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 4.10.0-1.mga3
+ Revision: 394443
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Mon Jan 14 2013 umeabot <umeabot> 4.9.97-2.mga3
+ Revision: 383773
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 4.9.97-1.mga3
+ Revision: 339545
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 4.9.95-1.mga3
+ Revision: 334605
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 4.9.90-1.mga3
+ Revision: 326806
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 4.9.80-1.mga3
+ Revision: 320325
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 4.9.3-1.mga3
+ Revision: 316201
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 4.9.2-1.mga3
+ Revision: 301977
- Update tarball to KDE SC 4.9.2

* Sat Sep 08 2012 mikala <mikala> 4.9.1-1.mga3
+ Revision: 289781
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 4.9.0-1.mga3
+ Revision: 277113
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 4.8.97-1.mga3
+ Revision: 269730
- new version 4.8.97

* Sun Jul 01 2012 shlomif <shlomif> 4.8.95-1.mga3
+ Revision: 266238
- New version - 4.8.95.
  Apparently, if python3-devel is installed, this package will not build.
- Remove trailing space

* Fri Jun 08 2012 fwang <fwang> 4.8.4-1.mga3
+ Revision: 257266
- new version 4.8.4

* Wed Apr 04 2012 fwang <fwang> 4.8.2-1.mga2
+ Revision: 228465
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 4.8.1-1.mga2
+ Revision: 221515
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 4.8.0-1.mga2
+ Revision: 198346
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 4.7.97-1.mga2
+ Revision: 191107
- Update tarball to kde 4.7.97

* Fri Dec 23 2011 mikala <mikala> 4.7.95-1.mga2
+ Revision: 186442
- Update tarball to KDE 4.7.95

* Thu Dec 15 2011 mikala <mikala> 4.7.90-1.mga2
+ Revision: 182258
- imported package superkaramba

